<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_welchtest.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_welchtest" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_welchtest</refname>
    <refpurpose>Welch two-sample t test</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   H = nan_welchtest (x, y)
   H = nan_welchtest (x, y,  alpha)
   H = nan_welchtest (x, y,  alpha, tail)
   [H,pval, stats] = nan_welchtest ( ... )
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x:</term>
      <listitem><para> input vector</para></listitem></varlistentry>
   <varlistentry><term>y:</term>
      <listitem><para> input vector</para></listitem></varlistentry>
   <varlistentry><term>tail:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>H:</term>
      <listitem><para> returns whether the Null-Hypotheses must be rejected.</para></listitem></varlistentry>
   <varlistentry><term>pval:</term>
      <listitem><para>  p-value of the tested</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
   </para>
   <para>
For two samples x and y from normal distributions with
unknown means and unknown and not necessarily equal variances,
perform a Welch test of the null hypothesis of equal means.
Under the null, the test statistic t approximately follows a
Student distribution with @var{df} degrees of freedom.
   </para>
   <para>
With the optional argument string tail, the alternative of
interest can be selected.  If tail is "~=" or
"&lt;&gt;", the null is tested against the two-sided alternative
mean (x) ~= m.  If tail is "&gt;", the
one-sided alternative mean(x) &gt; @var{m} is considered.  Similarly for
"&lt;", the one-sided alternative mean(x) &lt; m is
considered.  The default is the two-sided case.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Kurt Hornik Kurt.Hornik@wu-wien.ac.at</member>
   <member>H. Nahrstaedt - 2012</member>
   </simplelist>
</refsection>
</refentry>
